//
//  FlipCardViewController.m
//  Flipismo
//
//  Created by Sameh Fakhouri on 9/11/15.
//  Copyright (c) 2015 CUNY Lehman College. All rights reserved.
//

#import "FlipCardViewController.h"

@interface FlipCardViewController ()
@property (weak, nonatomic) IBOutlet UILabel *flipsLabel;
@property (nonatomic) int flipCount;
@end

@implementation FlipCardViewController


-(void)setFlipCount:(int)flipCount
{
    _flipCount = flipCount;
    self.flipsLabel.text = [NSString stringWithFormat:@"Flips: %d", self.flipCount];
    NSLog(@"flipCount = %d", self.flipCount);
}


- (IBAction)touchCardButton:(UIButton *)sender {
    if ([sender.currentTitle length]) {
        [sender setBackgroundImage:[UIImage imageNamed:@"cardback"] forState:UIControlStateNormal];
        [sender setTitle:@"" forState:UIControlStateNormal];
    } else {
        [sender setBackgroundImage:[UIImage imageNamed:@"cardfront"] forState:UIControlStateNormal];
        [sender setTitle:@"J♠︎" forState:UIControlStateNormal];
    }
    self.flipCount++;
}

@end
